[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'CheckLst' (#lcl)

# TCustomCheckListBox.AssignItemDataToCache

Stores the data for an item at the specified position in the cache for item data.

## Declaration

Source position: checklst.pas line 60

`protected procedure TCustomCheckListBox.AssignItemDataToCache(`
`const AIndex: Integer;`
`const AData: Pointer`
`); override;`

## Arguments

`AIndex` |  | Ordinal position for the entry in Items stored in the method.
`AData` |  | Pointer to the item data stored in the cache.